package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 考勤来源类型枚举
 *
 * @author zxfei
 */
public enum AttendSourceTypeEnum {
    海康云平台("hik", "海康云平台"),
    海康考勤机("hik-device", "海康考勤机"),
    钉钉("dingtalk", "钉钉");
    private String value;
    private String desc;

    AttendSourceTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static AttendSourceTypeEnum getByValue(String value) {
        for (AttendSourceTypeEnum typeEnum : AttendSourceTypeEnum.values()) {
            if (typeEnum.getValue() == value) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (AttendSourceTypeEnum item : AttendSourceTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (e.equals(item.getValue())) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue(), item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}